{% extends "bases/modelo.html" %}
{% load static %}

{% block info%}
{% endblock %}

{% block conteudo %}
<div class='container'>
<div class="tab-pane fade show my-2 p-2" id="profile" role="tabpanel" aria-labelledby="profile-tab">
    <h3  class="register-heading">Altere Animal:</h3>

    <form action="{% url 'updateanimalsform' id=animal.id %}"  method="POST" enctype="multipart/form-data"> {% csrf_token %}         
        <div class="row register-form">
            <div class="col-md-6">
                <div class="form-group my-2">
                    <label for="{{ form.nome.id_for_label}}">{{ form.nome.label}}</label>
                {{form.nome}}   
                </div>
                <div class="form-group my-2">
                    <label for="{{ form.coloracao.id_for_label}}">{{ form.coloracao.label}}</label>
                    {{form.coloracao}}   

                </div>
                <div class="form-group my-2">
                    <label for="{{ form.raca.id_for_label}}">{{ form.raca.label}}</label>
                    {{form.raca}}   
                </div>
                
    
    
            </div>
            <div class="col-md-6">
    
                <div class="form-group my-2">
                    <label for="{{ form.especie.id_for_label }}">{{ form.especie.label }}</label>
                    {{ form.especie }}
                </div>
            <div class="form-group my-2">
                    {{ form.dono }}
                </div> 
    
                <label for="{{ form.genero.id_for_label}}">{{ form.genero.label}}:</label>
                <div class="form-check form-check-inline">
                    {% for radio in form.genero %}
                    <label for="{{ radio.id_for_label }}">
                        {{ radio.choice_label }}
                        <span class="radio">{{ radio.tag }}</span>
                    </label>
                    {% endfor %}
                </div>
    
                <div class="form-group my-2">
                    <label for="{{ form.data_nasc.id_for_label}}">Data Nascimento</label>
                        {{form.data_nasc}}

                </div>
                <div class="form-group my-2">
                    <label for="{{ form.imagem.id_for_label}}">{{ form.imagem.label }}</label>
                    {{form.imagem}}
                </div>
                
            </div>
            
            <input type="submit" class="btnRegister btn-block my-2 p-2 btn-success"  value="Update"/>
    </form>
    </div>
</div>
</div>

{% endblock %}